org.wildfly.swarm.config.infinispan.cache_container

## Class ExpirationThreadPool<T extends ExpirationThreadPool<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.ExpirationThreadPool<T>

-     public class ExpirationThreadPool<T extends ExpirationThreadPool<T>>
      extends Object

  Defines a thread pool used for for evictions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationThreadPool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `keepaliveTime()` Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.
    `T` | `keepaliveTime(Long value)` Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.
    `Integer` | `maxThreads()` The maximum thread pool size.
    `T` | `maxThreads(Integer value)` The maximum thread pool size.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpirationThreadPool

          public ExpirationThreadPool()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keepaliveTime

          public Long keepaliveTime()

      Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.

    - #### keepaliveTime

          public T keepaliveTime(Long value)

      Used to specify the amount of milliseconds that pool threads should be kept running when idle; if not specified, threads will run until the executor is shut down.

    - #### maxThreads

          public Integer maxThreads()

      The maximum thread pool size.

    - #### maxThreads

          public T maxThreads(Integer value)

      The maximum thread pool size.

Copyright © 2018 JBoss by Red Hat. All rights reserved.